<?php
/*
Plugin Name: Mimoza Sosyal Paylaşım
Plugin URI:  https://yourwebsite.com
Description: WordPress için basit bir sosyal paylaşım eklentisi. Arayüzü Türkçe.
Version:     1.0
Author:      Onur Kalafat
Author URI:  https://mimozabilisim.com
License:     GPL2
Text Domain: mimoza-sosyal-paylasim
*/

// Sosyal paylaşım butonlarını ekleyen fonksiyon
function mimoza_sosyal_paylasim_butonlari($content) {
    if(is_single()) { // Sadece tekil yazılarda göster
        $html = '<div class="mimoza-sosyal-paylasim">';
        $html .= '<a href="https://www.facebook.com/sharer.php?u=' . get_permalink() . '" target="_blank"><i class="fab fa-facebook"></i> Facebook\'ta Paylaş</a> | ';
        $html .= '<a href="https://twitter.com/share?url=' . get_permalink() . '" target="_blank"><i class="fab fa-twitter"></i> Twitter\'da Paylaş</a> | ';
        $html .= '<a href="https://www.linkedin.com/shareArticle?mini=true&url=' . get_permalink() . '" target="_blank"><i class="fab fa-linkedin"></i> LinkedIn\'de Paylaş</a>';
        $html .= '</div>';
        
        return $content . $html; // İçeriğin sonuna butonları ekle
    }
    
    return $content;
}

// Paylaşım butonlarını içeriğe ekleyen fonksiyonu filtreye ekle
add_filter('the_content', 'mimoza_sosyal_paylasim_butonlari');

// CSS ekleyen fonksiyon
function mimoza_sosyal_paylasim_stilleri() {
    echo '
    <style>
    .mimoza-sosyal-paylasim {
        margin-top: 20px;
        font-size: 16px;
    }
    .mimoza-sosyal-paylasim a {
        text-decoration: none;
        margin-right: 10px;
        color: #0073aa;
    }
    .mimoza-sosyal-paylasim a:hover {
        color: #005177;
    }
    </style>
    ';
}
add_action('wp_head', 'mimoza_sosyal_paylasim_stilleri');

// CSS dosyasını yükleme
function mimoza_sosyal_paylasim_enqueue_styles() {
    // Font Awesome'ı yükle
    wp_enqueue_style('mimoza-sosyal-paylasim-font-awesome', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css');
    
}   
add_action('wp_enqueue_scripts', 'mimoza_sosyal_paylasim_enqueue_styles');
?>
